How JustAnswer Works:

  • Ask an Expert
    Experts are full of valuable knowledge and are ready to help with any question. Credentials confirmed by a Fortune 500 verification firm.
  • Get a Professional Answer
    Via email, text message, or notification as you wait on our site.
    Ask follow up questions if you need to.
  • 100% Satisfaction Guarantee
    Rate the answer you receive.

Ask Barun Your Own Question

Barun
Barun, Computer Support Specialist
Category: Mac
Satisfied Customers: 11183
Experience:  8+ years of professional experience in providing support for tech-related issues, including computers, email and software.
12615041
Type Your Mac Question Here...
Barun is online now
A new question is answered every 9 seconds

Current version Safari 5.1.10, need to update. Computer is

Customer Question

Current version Safari 5.1.10, need to update. Computer is MacBookPro4.1 about 8 years old. Tried a free download from Safari website, didn't work, just got the same version with todays date and time. Trying to set up online banking but bank is telling me I need to update Safari 5.1 to be able to use all aspects of online banking. Isn't 5.1.10 a later version of 5.1?
Submitted: 7 months ago.
Category: Mac
Expert:  Barun replied 7 months ago.
Hi, and thank you for asking your question. Just to confirm, are you using OS X Snow Leopard (or an earlier version) as your OS? If so, Safari 5.1.10 is as far as Safari can be updated on a Mac running that OS version. To work around this issue, you may download and install another browser, Google Chrome, which will work just as well for your browsing/online banking needs (without facing any errors):https://www.google.com/chrome/ If you need any further assistance with this issue, please be sure to reply back using the box below.Otherwise, if you could kindly click on (and submit) one of the stars at the top of this page to rate my service, I'd greatly appreciate it. Thank you.